import { ApiCall } from "tsrpc";
import { LingZhuLaiXifun } from "../../public/lingzhulaixi";
import { ReqOpen, ResOpen } from "../../shared/protocols/lingzhulaixi/PtlOpen";

export default async function (call: ApiCall<ReqOpen, ResOpen>) {
    let _myData = await LingZhuLaiXifun.getUsePKNum(call)
    let bosslist = await LingZhuLaiXifun.fmtBossList(call)

    call.succ({
        mydata: _myData,
        bosslist: bosslist
    });
}